Skip to main content
GET
/
analytics
/
tenants
/
{tenant_id}
/
calls
Get Call Statistics
curl --request GET \
  --url https://api.example.com/analytics/tenants/{tenant_id}/calls \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.example.com/analytics/tenants/{tenant_id}/calls"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.example.com/analytics/tenants/{tenant_id}/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "tenant_id": "<string>",
  "period": {},
  "total_calls": 123,
  "completed_calls": 123,
  "failed_calls": 123,
  "success_rate": 123,
  "avg_duration_seconds": 123,
  "total_duration_minutes": 123,
  "quota": {
    "tenant_id": "<string>",
    "monthly_call_limit": 123,
    "calls_used_this_month": 123,
    "calls_remaining": 123,
    "calls_usage_percentage": 123,
    "max_concurrent_calls": 123,
    "current_active_calls": 123,
    "concurrent_calls_remaining": 123,
    "concurrent_usage_percentage": 123,
    "total_minutes_used": 123,
    "quota_exceeded": true,
    "status": "<string>"
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenant_id
string<uuid>
required

Query Parameters

hours
integer
default:24

Time period in hours (1-168)

Required range: 1 <= x <= 168
agent_id
string<uuid> | null

Filter by specific agent

Response

Successful Response

Call statistics for a period.

tenant_id
string
required
period
Period · object
required
total_calls
integer
required
completed_calls
integer
required
failed_calls
integer
required
success_rate
number
required
avg_duration_seconds
number
required
total_duration_minutes
number
required
quota
QuotaInfo · object | null

Quota and remaining calls info